'*******************************************************************************
'* File Name:   SendToFavorites.vbs
'* Created:     10.13.2003              
'* Author:      Gordon Price
'* Purpose:     From passed list of objects; add LNK fles to user specified
'*              folder in Favorites. For LNK files, move file; for other files,
'*              create File LNK; for folders, create folder LNK.
'* Usage:       Place shortcut to script in SendTo folder
'* History:
'*******************************************************************************
Option Explicit

'*******************************************************************************
'* Constants
Const WINDOW_HANDLE = 0
Const NO_OPTIONS = 0

'*******************************************************************************
'* Variables
Dim objArguments
Dim objFileSystem
Dim objWSHShell
Dim objWindowsShell
Dim objShortcut
Dim objFolder
Dim objFolderItem
Dim objFile

Dim strFavoritesPath
Dim strFolderPath
Dim strArgument
Dim strLinkPath

'*******************************************************************************
'* Main Script
Set objArguments = WScript.Arguments
Set objFileSystem = CreateObject("Scripting.FileSystemObject")
Set objWSHShell = CreateObject("WScript.Shell")
Set objWindowsShell = CreateObject("Shell.Application")

' get the User's Favorites folder
strFavoritesPath = objWSHShell.SpecialFolders("Favorites")

' user input: folder in Favorites to contain new LNKs
Set objFolder = objWindowsShell.BrowseForFolder (WINDOW_HANDLE, "Select a folder: ", NO_OPTIONS, strFavoritesPath)
Set objFolderItem = objFolder.Self
strFolderPath = objFolderItem.Path

' loop through arguments
For Each strArgument In objArguments
   If objFileSystem.FileExists(strArgument) Then
      If (LCase (Right (strArgument,4))) = ".lnk" Then 
         objFileSystem.MoveFile strArgument, strFolderPath & "\"
      Else
         Set objFile = objFileSystem.GetFile(strArgument)
         strLinkPath = strFolderPath & "\" & objFile.Name & ".lnk"
         Set objShortcut = objWSHShell.CreateShortcut(strLinkPath)
         objShortcut.TargetPath = strArgument
         objShortcut.Save
      End If
   End If
   If objFileSystem.FolderExists(strArgument) Then
      Set objFolder = objFileSystem.GetFolder(strArgument) 
      strLinkPath = strFolderPath & "\" & objFolder.Name & ".lnk"
      Set objShortcut = objWSHShell.CreateShortcut(strLinkPath)
      objShortcut.TargetPath = strArgument
      objShortcut.Save
   End If
Next
'*******************************************************************************
'* Object Variable Cleanup
Set objArguments = Nothing
Set objFileSystem = Nothing
Set objWSHShell = Nothing
Set objWindowsShell = Nothing
Set objShortcut = Nothing
Set objFolder = Nothing
Set objFolderItem = Nothing
Set objFile = Nothing

