'*******************************************************************************
'* Script Name:   basic folder builder.vbs
'* Created:       08.25.1999            
'* Author:        Gordon Price
'* Purpose:       Create & populate new project folder structure based on last
'*                project number and user input project name
'* Usage:         Place shortcut to script on Desktop or in Start Menu
'*                Modify Set objActiveJobsFolder line for office folder structure
'*                (Script does not address absent root folder)
'* History:
'*******************************************************************************
Option Explicit

'*******************************************************************************
'* Variables

Dim objFileSystem
Dim objActiveJobsFolder
Dim objSubFolderList
Dim objFolder

Dim intCurrentYear
Dim intLastJobYear
Dim intLastJobNumber

Dim strActiveJobsFolder
Dim strLastFolder
Dim strNextJobNumber
Dim strJobName
Dim strJobFolder

'*******************************************************************************
'* Main Script
Set objFileSystem = CreateObject("Scripting.FileSystemObject")
Set objActiveJobsFolder = objFileSystem.getFolder("P:\Current Jobs")
Set objSubFolderList = objActiveJobsFolder.subFolders

' get the current year
intCurrentYear = Year(Date)

' get the year and job# of the last job folder created
' this only works if the only folders in the Active folder 
' are proper job folders
' at the end of the loop strLastFolder is the last folder created
For each objFolder in objSubFolderList
   strLastFolder = objFolder.Name
Next

' extract the year & job#
intLastJobYear = CInt (Mid (strLastFolder,1,4))
intLastJobNumber = CInt (Mid (strLastFolder,6,2))

' set the next job#
' if the next job# will be the same year as the last then increment job#
if intCurrentYear = intLastJobYear then
   strNextJobNumber = CStr(intLastJobNumber + 1)
   if Len(strNextJobNumber) < 2 then strNextJobNumber = "0" & strNextJobNumber
   strNextJobNumber = CStr(intCurrentYear) & "." & strNextJobNumber
' otherwise start a new year with job# 01
else
   strNextJobNumber = CStr(intCurrentYear) & ".01"
end if

' get the project name from the user
strJobName = InputBox("What is the name for project " & strNextJobNumber & "?",_
"AU project folder builder")


' if no job name then explain to user and exit
If strJobName = "" Then
   msgBox "No job name entered"
   Wscript.Quit
End If

' set the new job folder name
strJobFolder = objActiveJobsFolder.Path & "\" & strNextJobNumber & " " & strJobName

' Build the folders
objFileSystem.createFolder(strJobFolder)
objFileSystem.createFolder(strJobFolder & "\00 ad")
objFileSystem.createFolder(strJobFolder & "\01 ma")
objFileSystem.createFolder(strJobFolder & "\02 pd")
objFileSystem.createFolder(strJobFolder & "\03 sd")
objFileSystem.createFolder(strJobFolder & "\04 dd")
objFileSystem.createFolder(strJobFolder & "\05 cd")
objFileSystem.createFolder(strJobFolder & "\06 bd")
objFileSystem.createFolder(strJobFolder & "\07 ca")
objFileSystem.createFolder(strJobFolder & "\08 po")
objFileSystem.createFolder(strJobFolder & "\09 ss")
