'*******************************************************************************    
'* File Name:              foldercleanup.vbs
'* Created:                10.12.2003 
'* Author:                 Gordon Price
'*
'* Subroutine Name:        CleanFolders
'* Purpose:                clean folder (and subfolders if flagged)
'*                         of all files that match passed Regular Expression
'*
'* Arguments:              objFolder - folder object to clean
'*                         strFileTypes - file search string (RegExp format)
'*                         blnRecurse - recursion flag
'*
'* Function is called by:  projectarchive.wsf
'*                         projectcleanup.wsf
'*                         BAKCleanup.wsf
'*
'* Function calls:         Self (recursive)
'*******************************************************************************
Sub CleanFolders (objFolder, strFileTypes, blnRecurse)

'*******************************************************************************
'* Variables
Dim objFile
Dim objSubFolder
Dim objRegularExpression

' initialize Regular Expression
Set objRegularExpression = New RegExp
objRegularExpression.IgnoreCase = True
objRegularExpression.Pattern = strFileTypes

' loop through files in folder and delete all that match Regular Expression
For Each objFile in objFolder.Files
   If objRegularExpression.Test(objFile.Name) Then objFile.Delete
Next

' if recursion was flagged then call self for sub folders
If blnRecurse Then
   For Each objSubFolder in objFolder.SubFolders
      CleanFolders objSubFolder,strFileTypes,1
   Next
End If

End Sub